//
//  ToneShaperPreviewApp.swift
//  ToneShaperPreview
//
//  Created by Joseph Pagliaro on 12/7/23.
//

import SwiftUI

@main
struct ToneShaperPreviewApp: App {
    init() {
        GenerateToneShapeAudio()  
    }
    
    var body: some Scene {
        WindowGroup {
            ContentView()
#if os(macOS)
                .onAppear {
                    if let window = NSApplication.shared.windows.first {
                        window.title = "Plotter"
                    }
                }  
#endif
        }
    }
}
